Subject: Re: [NET]: Messed multicast lists after dev_mc_sync/unsync

From: Patrick McHardy <[email-masked]>
Date: Wed, 27 Feb 2008 13:42:00 +0100

Johannes Berg wrote:
>>> Could this be the reason for us seeing "multicast address leakage"
>>> warnings?
>>
>> I don't think so, the users field was already initialized properly
>> before. Is wireless using dev_unicast_sync or dev_mc_sync?
> 
> dev_mc_sync(), we sync all multicast addresses of all interfaces to the
> master netdev to have a single consistent list. There used to be a
> custom implementation of that but I replaced it.

I can't see how this bug could be responsible, assuming da_synced
intially contained a non-zero value it might forget to sync an
address, but still try to delete it when unsyncing. __dev_addr_delete
will simply do nothing in this case. But I guess the patch is still
worth trying.